Skip to main content
GET
/
api
/
v1
/
inference-jobs
/
{job_id}
/
files
List Inference Files
curl --request GET \
  --url https://api.example.com/api/v1/inference-jobs/{job_id}/files \
  --header 'X-API-Key: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "inference_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "original_filename": "<string>",
      "s3_key": "<string>",
      "duration_ms": 123,
      "status": "<string>",
      "error_message": "<string>",
      "detections": [
        {
          "artifact_type": "<string>",
          "start_ms": 123,
          "end_ms": 123,
          "confidence": 0.5
        }
      ],
      "detection_count": 123,
      "processed_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Authorizations

X-API-Key
string
header
required

Path Parameters

job_id
string<uuid>
required

Query Parameters

status
string | null

Response

Successful Response

List of inference files.

items
InferenceFileResponse · object[]
required
total
integer
required